/**************************************************************
 **                   A-CUT REXX DEMO                        **
 **************************************************************/

options results
address 'ACUT_rexx'

zeit = time()

IF LEFT( zeit , 2 ) < 12 THEN hail = "Guten Morgen"
IF LEFT( zeit , 2 ) = 12 THEN hail = "  Mahlzeit  "
IF LEFT( zeit , 2 ) > 12 THEN hail = " Guten Tag  "
IF LEFT( zeit , 2 ) > 18 THEN hail = " Guten Abend"

"ACUT2FRONT"
"Clear"
"ACUTEcho *****************************************************************************"
"ACUTEcho **                                                                         **"
"ACUTEcho **                         "hail"                                    **"
"ACUTEcho **                                                                         **"
"ACUTEcho *****************************************************************************"
"ACUTEcho **    Alles klar, dann knnen wir mit der Demonstration loslegen...        **"
"ACUTEcho *****************************************************************************"

"ACUTRequest 'Wirklich alles klar'"
IF RC = 0 THEN DO
    ACUTEcho "Naja, dann eben ein andermal..."
    EXIT 10 
END

ACUTEcho "OK, dann rein in's Vergngen..."

"GetStatus"
IF RC = 0 THEN CALL no_hardware
IF RC = 1 THEN CALL only_hardware
IF RC = 2 THEN CALL sony_connected
IF RC = 3 THEN CALL panasonic_connected

"Clear"
"ACUTEcho *****************************************************************************"
"ACUTEcho **                                                                         **"
"ACUTEcho **                            E N D E                                      **"
"ACUTEcho **                                                                         **"
"ACUTEcho *****************************************************************************"

EXIT 0

/*
 *  UNTERPROGRAMME
 */

no_hardware:

ACUTECHO "Es ist leider keine Hardware angeschlosssen"
RETURN


only_hardware:

ACUTECHO "Ah, Sie haben die Hardware schon angeschlossen."
RETURN


sony_connected:

ACUTECHO "Sie haben eine Sony-Kompatible Kamera angeschlossen"
CALL camera_demo
RETURN

panasonic_connected:

ACUTECHO "Sie haben eine Blaupunkt/Panasonic-kompatible Kamera angeschlossen"
call camera_demo
RETURN




/*
 *  camerademo
 */
ACUTRequest "Tut mir leid, leider hatte ich noch keine Zeit diesen Teil zu programmieren"
RETURN